=== debian/changelog ===
geogram (1.8.5-1) unstable; urgency=medium

  * First release into Debian (Closes: #1015761)

 -- Dima Kogan <dkogan@debian.org>  Thu, 28 Jul 2022 00:14:27 -0700
