=== debian/control ===
Source: geogram
Section: contrib/libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libtriangle-dev,
               libstb-dev,
               liblua5.4-dev,
               libann-dev,
               zlib1g-dev,
               libamgcl-dev,
               doxygen
Standards-Version: 4.6.0
Homepage: https://github.com/BrunoLevy/geogram
Vcs-Git: https://salsa.debian.org/science-team/geogram.git
Vcs-Browser: https://salsa.debian.org/science-team/geogram

Package: libgeogram1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Programming library with geometric algorithms
 Contains the main results in Geometry Processing from the former ALICE Inria
 project, that is, more than 30 research articles published in ACM SIGGRAPH, ACM
 Transactions on Graphics, Symposium on Geometry Processing and Eurographics.
 .
 Geogram includes a simple yet efficient Mesh data structure (for surfacic and
 volumetric meshes), exact computer arithmetics (a-la Shewchuck, implemented in
 GEO::expansion), a predicate code generator (PCK: the Predicate Construction
 Kit), standard geometric predicates (orient/insphere), Delaunay triangulation,
 Voronoi diagram, spatial search data structures, spatial sorting) and less
 standard ones (more general geometric predicates, intersection between a
 Voronoi diagram and a triangular or tetrahedral mesh embedded in n dimensions),
 and semi-discrete optimal transport.
 .
 This package provides the shared library

Package: libgeogram-dev
Section: contrib/libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgeogram1 (= ${binary:Version}),
         libeigen3-dev,
         libopenscenegraph-dev
Suggests: libgeogram-doc, geogram
Description: Programming library with geometric algorithms
 Contains the main results in Geometry Processing from the former ALICE Inria
 project, that is, more than 30 research articles published in ACM SIGGRAPH, ACM
 Transactions on Graphics, Symposium on Geometry Processing and Eurographics.
 .
 Geogram includes a simple yet efficient Mesh data structure (for surfacic and
 volumetric meshes), exact computer arithmetics (a-la Shewchuck, implemented in
 GEO::expansion), a predicate code generator (PCK: the Predicate Construction
 Kit), standard geometric predicates (orient/insphere), Delaunay triangulation,
 Voronoi diagram, spatial search data structures, spatial sorting) and less
 standard ones (more general geometric predicates, intersection between a
 Voronoi diagram and a triangular or tetrahedral mesh embedded in n dimensions),
 and semi-discrete optimal transport.
 .
 This package provides the development files library

Package: geogram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgeogram1 (= ${binary:Version})
Description: Programming library with geometric algorithms
 Contains the main results in Geometry Processing from the former ALICE Inria
 project, that is, more than 30 research articles published in ACM SIGGRAPH, ACM
 Transactions on Graphics, Symposium on Geometry Processing and Eurographics.
 .
 Geogram includes a simple yet efficient Mesh data structure (for surfacic and
 volumetric meshes), exact computer arithmetics (a-la Shewchuck, implemented in
 GEO::expansion), a predicate code generator (PCK: the Predicate Construction
 Kit), standard geometric predicates (orient/insphere), Delaunay triangulation,
 Voronoi diagram, spatial search data structures, spatial sorting) and less
 standard ones (more general geometric predicates, intersection between a
 Voronoi diagram and a triangular or tetrahedral mesh embedded in n dimensions),
 and semi-discrete optimal transport.
 .
 This package provides the executable tools

Package: libgeogram-doc
Architecture: all
Depends: ${misc:Depends}
Section: contrib/doc
Suggests: libgeogram-dev (= ${binary:Version}), geogram (= ${binary:Version})
Description: Programming library with geometric algorithms
 Contains the main results in Geometry Processing from the former ALICE Inria
 project, that is, more than 30 research articles published in ACM SIGGRAPH, ACM
 Transactions on Graphics, Symposium on Geometry Processing and Eurographics.
 .
 Geogram includes a simple yet efficient Mesh data structure (for surfacic and
 volumetric meshes), exact computer arithmetics (a-la Shewchuck, implemented in
 GEO::expansion), a predicate code generator (PCK: the Predicate Construction
 Kit), standard geometric predicates (orient/insphere), Delaunay triangulation,
 Voronoi diagram, spatial search data structures, spatial sorting) and less
 standard ones (more general geometric predicates, intersection between a
 Voronoi diagram and a triangular or tetrahedral mesh embedded in n dimensions),
 and semi-discrete optimal transport.
 .
 This package provides the HTML documentation
