## geogram 1.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,20 +2,21 @@
 # Geogram/Vorpaline root CMakeList
 ##############################################################################
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 cmake_policy(SET CMP0048 NEW)
+
 
 ##############################################################################
 set(VORPALINE_VERSION_RC FALSE)
 set(VORPALINE_VERSION_MAJOR 1)
-set(VORPALINE_VERSION_MINOR 8)
-set(VORPALINE_VERSION_PATCH 5)
+set(VORPALINE_VERSION_MINOR 9)
+set(VORPALINE_VERSION_PATCH 2)
 
 set(VORPALINE_VERSION_PLAIN ${VORPALINE_VERSION_MAJOR}.${VORPALINE_VERSION_MINOR}.${VORPALINE_VERSION_PATCH})
 if(VORPALINE_VERSION_RC)
-   set(VORPALINE_VERSION ${VORPALINE_VERSION_PLAIN}-rc)
-else()
-   set(VORPALINE_VERSION ${VORPALINE_VERSION_PLAIN})
+set(VORPALINE_VERSION ${VORPALINE_VERSION_PLAIN}-rc)
+else()
+set(VORPALINE_VERSION ${VORPALINE_VERSION_PLAIN})
 endif()
 ##############################################################################
 
@@ -25,9 +26,9 @@
 # command, since project() resets CFLAGS and CXXFLAGS.
 
 if(IS_DIRECTORY ${CMAKE_SOURCE_DIR}/src/lib/vorpalib)
-   project(Vorpaline VERSION "${VORPALINE_VERSION_PLAIN}")
-else()
-   project(Geogram VERSION "${VORPALINE_VERSION_PLAIN}")
+project(Vorpaline VERSION "${VORPALINE_VERSION_PLAIN}")
+else()
+project(Geogram VERSION "${VORPALINE_VERSION_PLAIN}")
 endif()
 
 # Optional modules
@@ -36,17 +37,22 @@
 # Set GEOGRAM_SUB_BUILD if Geogram sources included in buildtree, then
 # VORPALINE_PLATFORM can be set directly in parent CMakeLists.txt
 if(NOT GEOGRAM_SUB_BUILD)
-   option(GEOGRAM_WITH_GRAPHICS "Viewers and geogram_gfx library" ON)
-   option(GEOGRAM_WITH_LEGACY_NUMERICS "Legacy numerical libraries" ON)
-   option(GEOGRAM_WITH_HLBFGS "Non-linear solver (Yang Liu's HLBFGS)" ON)
-   option(GEOGRAM_WITH_TETGEN "Tetrahedral mesher (Hang Si's TetGen)" ON)
-   option(GEOGRAM_WITH_TRIANGLE "Triangle mesher (Jonathan Shewchuk's triangle)" ON)
-   option(GEOGRAM_WITH_LUA "Built-in LUA interpreter" ON)
-   option(GEOGRAM_LIB_ONLY "Libraries only (no example programs/no viewer)" OFF)
-   option(GEOGRAM_WITH_FPG "Predicate generator (Sylvain Pion's FPG)" OFF)
-   option(GEOGRAM_USE_SYSTEM_GLFW3 "Use the version of GLFW3 installed in the system if found" OFF)
-   option(GEOGRAM_WITH_GARGANTUA "64-bit indices" OFF)
-   include(cmake/geo_detect_platform.cmake)
+option(GEOGRAM_WITH_GRAPHICS "Viewers and geogram_gfx library" ON)
+option(GEOGRAM_WITH_LEGACY_NUMERICS "Legacy numerical libraries" ON)
+option(GEOGRAM_WITH_HLBFGS "Non-linear solver (Yang Liu's HLBFGS)" ON)
+option(GEOGRAM_WITH_TETGEN "Tetrahedral mesher (Hang Si's TetGen)" ON)
+option(GEOGRAM_WITH_TRIANGLE "Triangle mesher (Jonathan Shewchuk's triangle)" ON)
+option(GEOGRAM_WITH_LUA "Built-in LUA interpreter" ON)
+option(GEOGRAM_LIB_ONLY "Libraries only (no example programs/no viewer)" OFF)
+option(GEOGRAM_WITH_FPG "Predicate generator (Sylvain Pion's FPG)" OFF)
+option(GEOGRAM_USE_SYSTEM_GLFW3 "Use the version of GLFW3 installed in the system if found" OFF)
+option(GEOGRAM_WITH_GARGANTUA "64-bit indices" OFF)
+option(GEOGRAM_WITH_TBB "Use TBB for multi-threading" OFF)
+include(cmake/geo_detect_platform.cmake)
+endif()
+
+if(GEOGRAM_WITH_TBB AND NOT TARGET TBB::tbb)
+include(cmake/onetbb.cmake)
 endif()
 
 include(cmake/geogram.cmake)
@@ -76,7 +82,7 @@
 set(VORPALINE_BUILD_NUMBER $ENV{BUILD_NUMBER})
 
 if(GEOGRAM_WITH_GARGANTUA)
-  add_definitions(-DGARGANTUA)
+add_definitions(-DGARGANTUA)
 endif()
 
 
@@ -94,8 +100,8 @@
 #   where libraries are installed.
 
 if(VORPALINE_BUILD_DYNAMIC)
-   set(CMAKE_MACOSX_RPATH 1)
-   set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
+set(CMAKE_MACOSX_RPATH 1)
+set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
 endif()
 
 set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
@@ -106,38 +112,38 @@
 # already one (Geogram's one needs to be first)
 
 configure_file(
-    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
-    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
-    IMMEDIATE @ONLY)
+"${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
+"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+IMMEDIATE @ONLY)
 
 add_custom_target(uninstall
-    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
 
 ##############################################################################
 # Geogram/Vorpaline sources
 
 add_subdirectory(src/lib/geogram)
 if(GEOGRAM_WITH_VORPALINE)
-   add_subdirectory(src/lib/vorpalib)
+add_subdirectory(src/lib/vorpalib)
 endif()
 
 add_subdirectory(src/lib/third_party)
 
 if(GEOGRAM_WITH_GRAPHICS)
-  add_subdirectory(src/lib/geogram_gfx)
+add_subdirectory(src/lib/geogram_gfx)
 endif()
 
 if(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/exploragram)
-  if(GEOGRAM_WITH_EXPLORAGRAM)
-     add_subdirectory(src/lib/exploragram)
-  endif()
+if(GEOGRAM_WITH_EXPLORAGRAM)
+add_subdirectory(src/lib/exploragram)
+endif()
 endif()
 
 if(NOT GEOGRAM_LIB_ONLY)
-  add_subdirectory(src/bin)
-  add_subdirectory(src/tests)
-  add_subdirectory(src/examples)
-  add_subdirectory(tests)
+add_subdirectory(src/bin)
+add_subdirectory(src/tests)
+add_subdirectory(src/examples)
+add_subdirectory(tests)
 endif()
 
 add_subdirectory(doc)
@@ -164,9 +170,9 @@
 
 
 if(${GEOGRAM_WITH_VORPALINE})
-    set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A flexible mesh generator")
-else()
-    set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "fast, simple and easy-to-use primitives for geometric programming")
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A flexible mesh generator")
+else()
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "fast, simple and easy-to-use primitives for geometric programming")
 endif()
 
 set(CPACK_PACKAGE_VERSION_MAJOR ${VORPALINE_VERSION_MAJOR})
@@ -177,19 +183,19 @@
 set(CPACK_COMPONENT_INCLUDE_TOPLEVEL_DIRECTORY true)
 
 if(CPACK_GENERATOR STREQUAL "DEB")
-  set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
-  set(CPACK_PACKAGE_CONTACT Bruno.Levy@inria.fr)
+set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
+set(CPACK_PACKAGE_CONTACT Bruno.Levy@inria.fr)
 # set(CPACK_PACKAGE_DEPENDS "libglfw3 (>= 3.2-1), libc6 (>= 2.22-11), libstdc++ (>= 6.1.1-4)")
 #   TODO: use objdump -p | grep NEEDED to automate...
 #   or GET_PROPERTY(result GLOBAL ENABLED_FEATURES)  (successful FIND_PACKAGE())
 endif()
 
 if(NOT DEFINED CPACK_GENERATOR)
-  if(WIN32)
-    set(CPACK_GENERATOR ZIP)
-  else()
-    set(CPACK_GENERATOR TGZ)
-  endif()
+if(WIN32)
+set(CPACK_GENERATOR ZIP)
+else()
+set(CPACK_GENERATOR TGZ)
+endif()
 endif()
 
 # Enable component-based packaging for archive generators (TGZ, ZIP)
@@ -218,12 +224,10 @@
 
 # Copy the helper script to build individual packages to the binary directory
 configure_file(
-    tools/make_package.pl.in
-    make_package.pl
-    @ONLY
+tools/make_package.pl.in
+make_package.pl
+@ONLY
 )
 
 # This must always be last!
 include(CPack)
-
-
