=== src/examples/exploragram/CMakeLists.txt ===
add_subdirectory(hexdom_pipeline)
add_subdirectory(compute_OTM)
