=== debian/changelog ===
geogram (1.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Mon, 13 Jan 2025 22:37:52 -0800
