## geogram 1.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Geogram/Vorpaline root CMakeList
 ##############################################################################
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.5...3.30)
 cmake_policy(SET CMP0048 NEW)
 
 
@@ -10,7 +10,7 @@
 set(VORPALINE_VERSION_RC FALSE)
 set(VORPALINE_VERSION_MAJOR 1)
 set(VORPALINE_VERSION_MINOR 9)
-set(VORPALINE_VERSION_PATCH 2)
+set(VORPALINE_VERSION_PATCH 6)
 
 set(VORPALINE_VERSION_PLAIN ${VORPALINE_VERSION_MAJOR}.${VORPALINE_VERSION_MINOR}.${VORPALINE_VERSION_PATCH})
 if(VORPALINE_VERSION_RC)
