=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 include(${PROJECT_SOURCE_DIR}/cmake/doxygen.cmake)
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.5...3.30)
