=== src/tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,3 +7,6 @@
 add_subdirectory(test_RVC)
 add_subdirectory(test_logger)
 add_subdirectory(test_CDT_2d)
+add_subdirectory(test_geofile)
+add_subdirectory(test_mesh_syntaxic_sugar)
+
