=== src/bin/geodump/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,3 @@
 install_runtime_targets(${APP_NAME})
 
 set_target_properties(${APP_NAME} PROPERTIES FOLDER "GEOGRAM/Programs")
-
