=== src/bin/vorpacomp/CMakeLists.txt ===
--- 
+++ 
@@ -4,4 +4,3 @@
 target_link_libraries(${APP_NAME} geogram)
 
 set_target_properties(${APP_NAME} PROPERTIES FOLDER "GEOGRAM/Programs")
-
