=== src/bin/vorpalite/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,3 @@
 install_runtime_targets(${APP_NAME})
 
 set_target_properties(${APP_NAME} PROPERTIES FOLDER "GEOGRAM/Programs")
-
-
-
