=== debian/changelog ===
geogram (1.9.6-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Fri, 22 Aug 2025 16:10:21 -0700
