=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
                libann-dev,
                zlib1g-dev,
                libamgcl-dev,
+               libmeshb-dev,
+               librply-dev,
                doxygen
 Standards-Version: 4.6.0
 Homepage: https://github.com/BrunoLevy/geogram
