=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# I disable various non-optional things for now. Let's get the core library
# working first
override_dh_auto_configure:
	dh_auto_configure -- \
		-DGEOGRAM_WITH_HLBFGS=OFF \
		-DGEOGRAM_WITH_GRAPHICS=OFF \
		-DGEOGRAM_WITH_EXPLORAGRAM=OFF \
		-DGEOGRAM_WITH_TETGEN=OFF \
		-DGEOGRAM_WITH_TRIANGLE=ON \
		-DGEOGRAM_USE_SYSTEM_GLFW3=ON

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) doc-devkit-full


# to pacify dh_missing
override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/doc/geogram/VERSION.txt
	rmdir debian/tmp/usr/doc/geogram
