=== debian/watch ===
version=4
https://github.com/BrunoLevy/geogram/tags .*/v?(\d\S+)\.tar\.gz
